Subject: FW: Kingman Heat Recovery
From: [email-masked]
To: [email-masked], [email-masked]
Date: Wed, 22 Aug 2001 13:15:45 -0700 (PDT)

FYI

 -----Original Message-----
From: 	Millar, John  
Sent:	Wednesday, August 22, 2001 11:32 AM
To:	Lindberg, Lorraine
Cc:	Gadd, Eric
Subject:	Kingman Heat Recovery

Hi Lorraine,

Next week I'm heading west to meet with Mohave Electric Co-op and EWS West Desk regarding this project.  I know we've spoken about it before, but I was hoping to have some time with you this afternoon to get you up to speed on our progress and get your input on the attached presentation.  Could I come by at 3:00pm?  Please advise.

Thanks,
John